On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwritePage number
Number of records per page
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/commerce/billing/customers"{
"customers": [
{
"id": "f772b19c-c5c2-426d-8871-346a6cd094c5",
"name": "TechStart Solutions",
"external_id": "5eb02857-a71e-4ea2-bcf9-1753826282",
"email": "[email protected]",
"address": {
"line1": "123 Innovation Way",
"line2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postal_code": "94087",
"country": "US"
},
"phone": "+1 (555) 789-1234",
"payment_method_token": "6ta69628uw121251c",
"payment_method_type": "CARD",
"metadata": [
{
"key": "Purchase Order",
"value": "PO-2023-4521",
"display_in_invoice": true
},
{
"key": "Sales Region",
"value": "West Coast",
"display_in_invoice": false
}
]
},
{
"id": "3c25d14a-5fe4-455e-8862-dfb07d384d08",
"name": "TechStart Solutions",
"external_id": "5eb02857-a71e-4ea2-bcf9-1753642317",
"email": "[email protected]",
"address": {
"line1": "123 Innovation Way",
"line2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postal_code": "94087",
"country": "US"
},
"phone": "+1 (555) 789-1234",
"payment_method_token": "6ta69628uw121251c",
"payment_method_type": "CARD"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}